package storage

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/community/src/gonganxitong"
	"shylinux.com/x/enterprise/src/guanlixitong"
)

type Portal struct {
	guanlixitong.Portal
	placeCreate string `name:"placeCreate city_name* company_name* storage_name* storage_type:select" role:"void"`
}

func (s Portal) AfterPlaceAuth(m *ice.Message, arg ...string) {
	defer s.DashboardCreate(m, "")()
	s.DashboardInsert(m, 1, "文件数量", "个", file{}, "")
	s.DashboardInsert(m, 2, "文件大小", "size", file{}, "SUM(size)")
}

func init() { gonganxitong.PortalCmd(Portal{Portal: guanlixitong.NewPortal(userStorage{}, storage{})}) }
